Metafunction
HasStreamFeature
Query features of a stream type.
HasStreamFeature<TStream, TFeatureTag>::Type
Include Headers
seqan/stream.h
Parameters

TStream | The stream type to query the property of. Types: StreamConcept
TFeatureTag | The feature tag. Types: Stream Feature

Remarks
Note that this only checks whether the type principally has this feature. For example, if a stream wraps a Unix PIPE internally, it might not support seek.
Return Values
Either True or False.
Part of Concept
StreamConcept
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59